#!/bin/bash

RunNumber=$1

file1="file1.dat"

echo "You are trying to analyze run #"$RunNumber". Let's play!"

echo ".x getRaster.C" > $file1
echo $RunNumber >> $file1
echo ".q" >> $file1

analyzer -b < $file1

filename="raster."$RunNumber".dat"

echo "File with new raster is : "$filename

echo "Raster Corrections :"

cat $filename

RasterFile="db_rb.Raster.dat.muster"

echo "Now I will correct the raster file: "$RasterFile

NewRasterFile="db_rb.Raster.dat."$RunNumber


cat $RasterFile | sed -n '1,30p' > $NewRasterFile
cat $filename >> $NewRasterFile
cat $RasterFile | sed -n '34,$p' >> $NewRasterFile

echo "Finished replacing file!"

cat $NewRasterFile

RasterFileTrue="db_rb.Raster.dat"

cp $NewRasterFile $RasterFileTrue

echo ".x analiza_epd_Full.C" > $file1
echo $RunNumber >> $file1
echo "-1" >> $file1
echo ".q" >> $file1

analyzer -b < $file1

rm -f $file1


